Bug 520009 - Multiple fully virtualized guest O/S failures on RHEL 5.4-IA
Summary: Multiple fully virtualized guest O/S failures on RHEL 5.4-IA
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.4
Hardware: ia64
OS: Linux
low
high
Target Milestone: rc
: 5.6
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 563250
TreeView+ depends on / blocked
 
Reported: 2009-08-27 23:57 UTC by William Lynch
Modified: 2010-11-09 13:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-17 11:55:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description William Lynch 2009-08-27 23:57:53 UTC
Description of problem:

Windows 2003-IA64 guest O/S: During installation of guest O/S using virtual machine manager, an error message displays after answering the prompts:  “Error - Unable to complete install: Unable to determine kernel  path”

SLES 10.2-IA64  guest O/S: During installation of guest O/S using virtual machine manager, an error message displays after answering the prompts:  “Error - Unable to complete install: Unable to determine kernel  path”

RHEL 4.5-IA64  guest O/S: During installation of guest O/S using virtual machine manager, an error message displays after answering the prompts:  “Error - Unable to complete install: Unable to determine kernel  path”

NOTE: Issue occurs on both Emulex and QLogic 4Gb HBAs.  The Emulex part number is: LPe1105-HP.  The QLogic part number is: QMH2462.

The VM types that would install successfully was RHEL5.4-IA64 para-virtualized and RHEL5.2-IA64 para-virtualized.


Version-Release number of selected component (if applicable):
kernel-2.6.18-162.el5 Snapshot RC2

How reproducible: 
This problem is reproducible 100% of the time.


Steps to Reproduce:
1. Present a LUN to the DOM0 machine running RHEL5.4 RC 2.
2. Invoke the virtual machine manager to create the fully virtualized guest O/S, answer the prompts and attempt to create the VM.
3. Observe the error message(s) indicated above.
  
Actual results:
The creation of the VM fails indicating the error messages above.

Expected results:
The VM would be created.


Additional info: DOM0 server: BL860c
EVA-XL 8000 array - presenting the VM boot LUNs

Do not attempt the reboot the DOM0 after adding additional external storage, the DOM0 will not come back -- please refer to [Bug 519523] for details.

Comment 1 Chris Lalancette 2009-08-28 07:00:05 UTC
(In reply to comment #0)
> Description of problem:
> 
> Windows 2003-IA64 guest O/S: During installation of guest O/S using virtual
> machine manager, an error message displays after answering the prompts:  “Error
> - Unable to complete install: Unable to determine kernel  path”
> 
> SLES 10.2-IA64  guest O/S: During installation of guest O/S using virtual
> machine manager, an error message displays after answering the prompts:  “Error
> - Unable to complete install: Unable to determine kernel  path”
> 
> RHEL 4.5-IA64  guest O/S: During installation of guest O/S using virtual
> machine manager, an error message displays after answering the prompts:  “Error
> - Unable to complete install: Unable to determine kernel  path”

Hm, this sounds like you don't have the firmware installed.  Do you have the xen-ia64-guest-firmware package installed on the machine?

Chris Lalancette

Comment 4 Bill Burns 2010-03-17 11:55:03 UTC
No response from reporter. Suspected user error. Closing. Please reopen if the problem can be reproduced and the info provided.

Comment 5 Paolo Bonzini 2010-04-08 15:46:46 UTC
This bug was closed during 5.5 development and it's being removed from the internal tracking bugs (which are now for 5.6).

Comment 6 Chris Lalancette 2010-07-19 13:54:46 UTC
Clearing out old flags for reporting purposes.

Chris Lalancette


Note You need to log in before you can comment on or make changes to this bug.